#
# spec file for package InteProxy (Version 0.1.2)
#
# Copyright (c) 2007 Intevation GmbH, Germany
# This file and all modifications and additions to this
# file are under the same license as the package itself.
#
# Please submit bugfixes or comments via 
# http://wald.intevation.org/tracker/?atid=178&group_id=23&func=browse
#

%define pyversion 2.4
%define InteProxyDir %{_libdir}/InteProxy

BuildRequires: python%{pyversion}
Requires: python%{pyversion} python%{pyversion}-lxml

Summary:	InteProxy is a proxy which helps to secure OGC-connections between clients and servers.
Name:           InteProxy
License:        GNU/LGPL
Group:          Development/System
Version:        0.1.2
Release:        2
# URL: 
Source0:        http://wald.intevation.org/frs/download.php/334/%{name}-%{version}.tar.gz

# where to build
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}


%description
InteProxy is a proxy which helps applications that use simple HTTP for some services to have secure connections with authentication and SSL. The proxy runs on the client system. Typical case are the services specified by Open Geospatial Consortium (WMS, WFS, etc.).

Authors:
--------
    Bernhard Herzog <bh@intevation.de>

# prepare Build-environment
%prep
%setup0 -n %{name}-%{version}

%build
# nothing to build here

%install

# install the stuff
mkdir -p %{buildroot}/%{InteProxyDir}
install -m 644 getpassword.py proxyconnection.py transcoder.py %{buildroot}/%{InteProxyDir}
install -m 755 InteProxy.py %{buildroot}/%{InteProxyDir}
mkdir -p %{buildroot}/%{_bindir}
# create startup-shellscript for InteProxy to pick up the correct python-version
cd %{buildroot}/%{_bindir}
cat > InteProxy <<EOF
#!/bin/sh
python%{pyversion} %{InteProxyDir}/InteProxy.py
EOF
chmod +x InteProxy

# create startscript that it will work from within the path
# install -m 755 InteProxy.py %{buildroot}/%{_bindir}/InteProxy.py

%post
python%{pyversion} %{_libdir}/python%{pyversion}/compileall.py %{InteProxyDir}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root)
%doc doc/*.odt ChangeLog COPYING
%{InteProxyDir}
%{_bindir}/InteProxy

%changelog
* Mon Apr  24 2007 - stephan.holl@intevation.de
- added more Requerements, for backported python2.4
- created a shell-wrapper to make InteProxy run from the path

* Fri Apr 20 2007 - stephan.holl@intevation.de
- initial RPM for SLES9 
- handcrafted SPEC-file
